Subject: bug#78572: 30.1; Tramp Project error message loop - File is missing

From: Michael Albinus <[email-masked]>
Date: Sat, 24 May 2025 13:31:05 +0200

Alexis Bakatine via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <[email-masked]> writes:

Hi Alexis,

> When using either one of these settings, or both at the same time:
>
> (setopt project-vc-extra-root-markers '(".project"))
> (setopt project-mode-line t)
>
> Tramp produces error messages in the minibuffer after connecting
> to the remote server:
>
> File is missing: /sudo:root@x:/root/
> File is missing: /sudo:root@x:/
>
> It only happens when using Tramp with:
> /ssh:x|sudo::
>
> If I'm using the command below, the problem doesn't occur (note that "x" is simply a
> host server config name in my ~/.ssh/config file):
> /ssh:x:
>
> What's worse is that it loops over and over trying to search for some
> file that it cannot find remotely, and after a few minutes connected
> Emacs becomes unresponsive.

Well, I've tried to reproduce it. Using Emacs 30, I've called

--8<---------------cut here---------------start------------->8---
# emacs -Q-l project --eval '(setopt project-vc-extra-root-markers (quote (".project")))' --eval '(setopt project-mode-line t)' --eval '(setq tramp-verbose 10)' '/ssh:ubuntu-2404|sudo::'
--8<---------------cut here---------------end--------------->8---

Note that I'm not using project.el. Could you please provide a
step-by-step recipe for reproducing the problem?

> I tested this on Emacs 30.1 on Linux, macOS and Windows, with the same
> results.

Best regards, Michael.